package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.vo.*;
import com.liquidnet.service.adam.entity.AdamAddresses;
import com.liquidnet.service.adam.entity.AdamEnters;

import java.util.List;

public interface IAdamRdmService {
    boolean setUidByMobile(String mobile, String uid);

    void delUidByMobile(String mobile);

    String getUidByMobile(String mobile);

    boolean setUidByPlatformOpenId(String platform, String openId, String uid);

    void delUidByPlatformOpenId(String platform, String openId);

    String getUidByPlatformOpenId(String platform, String openId);

    void delUserInfoVoByUid(String uid);

    boolean setUserInfoVoByUid(String uid, AdamUserInfoVo vo);

    AdamUserInfoVo getUserInfoVoByUid(String uid);

    boolean setRealInfoVoByUid(String uid, AdamRealInfoVo vo);

    void delRealInfoVoByUid(String uid);

    AdamRealInfoVo getRealInfoVoByUid(String uid);

    boolean setThirdPartVoListByUid(String uid, List<AdamThirdPartInfoVo> voList);

    void delThirdPartVoListByUid(String uid);

    List<AdamThirdPartInfoVo> getThirdPartVoListByUid(String uid);

    AdamThirdPartInfoVo getThirdPartVoByUidPlatform(String uid, String platform);

    AdamUserMemberVo getUserMemberVoByUid(String uid);

    AdamMemberSimpleVo getMemberSimpleVo();

    boolean setEntersByUid(String uid, List<AdamEnters> list);

    void delEntersByUid(String uid);

    List<AdamEnters> getEntersByUid(String uid);

    AdamEnters getEntersByUidEntersId(String uid, String entersId);

    boolean setAddressesByUid(String uid, List<AdamAddresses> list);

    void delAddressesByUid(String uid);

    List<AdamAddresses> getAddressesByUid(String uid);

    AdamAddresses getAddressesByUidAddressesId(String uid, String addressesId);
}
